l2tpns -- buffer overflow

2006-12-08T00:00:00
ID DSA-1230
Type debian
Reporter Debian
Modified 2006-12-08T00:00:00

Description

Rhys Kidd discovered a vulnerability in l2tpns, a layer 2 tunnelling protocol network server, which could be triggered by a remote user to execute arbitrary code.

For the stable distribution (sarge), this problem has been fixed in version 2.0.14-1sarge1.

For the unstable distribution (sid) this problem has been fixed in version 2.1.21-1.

We recommend that you upgrade your l2tpns package.